
#Design related cores
set CoreAPB3_0ver {4.2.100}
set COREAXI4INTERCONNECT_C0ver {2.8.103}
set CORESPI_0ver {5.2.104}
set CORETSE_0ver {3.2.119}
set CoreUARTapb_0ver {5.7.100}
set core_jatg_debug_0ver {4.0.100}
set Core_reset_pfver {2.3.100}
set Ethernet_OAM_C0ver {1.0.3}
set MIV_RV32_C2ver {3.1.200}
set PF_CCC_0ver {2.2.220}
set pf_init_monitor_0ver {2.0.307}
set PF_IOD_CDR_C0ver {2.4.110}
set PF_IOD_CDR_CCC_C0ver {2.1.111}
set PF_SRAM_AHBL_AXI_C0ver {1.2.111}
set PF_SYSTEM_SERVICES_C0ver {3.0.103}


#tool profiles
set synprofile1 {Synplify Pro ME}
set simuprofile1 {ModelSim ME Pro}

# Device settings
set die_eval {MPF300T}
set eval_package {FCG1152}
set eval_part_range {EXT}



# # A common procedure called by all tests.

# # Computes the runtime for each command run in Libero

#

proc run_tool_wrapper { cmd } {

 

  # get tool name from the command

  #

  regexp {run_tool\s+-name\s+\{*(\w*)\}*} $cmd full1 tool;

 

  puts "Starting $tool command";

  set full_cmd "time \{ $cmd \}";

  set TIME_start [clock seconds];
  set runtime [ eval $full_cmd ];
  set TIME_taken [expr [clock seconds] - $TIME_start];
  puts "\nRUNTIME:$tool=$TIME_taken secs\n";
 	

  set runtime_secs [ expr [lindex $runtime 0]/1000000 ];

  puts "\nRUNTIME_bytime:$tool=$runtime_secs secs\n";

 

}

